/*
 * EPX_DRVR.H
 *
 * LogicFlex-EPX driver library
 * Copyright 2001,
 * JK microsystems, Inc. - ALL RIGHTS RESERVED
 * http://www.jkmicro.com
 *
 * THIS SOFTWARE IS NOT SHAREWARE, FREEWARE, OR PUBLIC DOMAIN.
 * IT IS THE PROPERTY OF JK microsystems.
 *
 * CUSTOMERS OF JK microsystems MAY MODIFY THE SOURCE CODE
 * AND/OR DISTRIBUTE THE BINARY IMAGE OF THIS SOFTWARE WITHOUT
 * ADDITIONAL COSTS PROVIDED IT IS RUN ONLY ON HARDWARE
 * MANUFACTURED BY JK microsystems.  ALL OTHER USE IS EXPRESSLY
 * PROHIBITED.
 *
 * THIS SOURCE CODE IS NOT TO BE DISCLOSED WITHOUT PRIOR APPROVAL
 * FROM JK microsystems.
 *
 * THIS PROGRAM IS DISTRIBUTED WITHOUT ANY WARRANTY;
 * WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY
 * OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 *
 *
 *	Revision	Notes					Date	Author
 *	1			First Issue				12JUL01	EW
 *
 *
 */

#ifndef __epx_h
#define __epx_h

int  GetVersion( void );			/* Least significant digit = minor rev */
									/* Most significant digits = major rev */

void InitIO( void );				/* Initialize EPX I/O */

void  SetIOPt( int value ); 		/* Set specified OUTPUT, Range: 0-15 */
void  ClrIOPt( int value ); 		/* Clear specified OUTPUT, Range: 0-15 */

int  GetIOPt( int value );			/* Get specified INPUT, Range: 0-15 */
int  GetSw( int value );			/* Get specified Switch INPUT, Range: 0-7 */

void SetAD( int value );			/* Set A/D input range */
									/*	0 = 0 to +5 volts */
									/*	1 = 0 to +10 volts */
									/*	2 = -5 volts to +5 volts */
									/*	3 = -10 volts to +10 volts */
int GetAD ( int value );			/* Read specified AD channel, Range = 0-7 */


#endif								/* end if def __exp_h */
